ADD_MEMBERS(8)

NAME
add_members - Add members to a Mailman mailing list from the command line.

SYNOPSIS
add_members [-r <file>] [-d <file>] [-y <y|n>] [-w <y|n>] [-h] listname

DESCRIPTION
Add members from a file to a mailman list. Listname is the name of the Mailman list you are adding members to. It must already exist.

OPTIONS

-r file, --regular-members-file=file
    A file containing addresses of the members to be added, one address per line. This list of people become non-digest members. If file is `-', read addresses from stdin. Note that -n/--non-digest-members-file are deprecated synonyms for this option.

-d file, --digest-members-file=file
    Similar to above, but these people become digest members.

-a [y|n], --admin-notify=[y|n]
    Set whether or not to send the list administrators a notification on the success/failure of these subscriptions, overriding whatever the list's `admin_notify_mchanges' setting is.

-w [y|n], --welcome-msg=[y|n]
    Set whether or not to send the list members a welcome message, overriding whatever the list's `send_welcome_msg' setting is.

-h, --help
    Print a help message and exit.

NOTES
You must supply at least one of -r and -d options. At most one of the files can be `-'.

AUTHOR
Author of Mailman is the Mailman Cabal, see http://www.list.org/ for information. This manpage is written by Tollef Fog Heen <tfheen@debian.org> for Debian, but may be used by others.

SEE ALSO
Mailman documentation on http://www.list.org/ and in /usr/share/doc/mailman.